# JDACommandConfig (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDACommandConfig

Package co.aikar.commands

# Class JDACommandConfig

java.lang.Object
co.aikar.commands.JDACommandConfig

All Implemented Interfaces:
  `CommandConfig`, `CommandConfigProvider`

public class JDACommandConfig extends Object implements CommandConfig

## Field Summary

Fields
Modifier and Type
Field
Description
`protected @NotNull List<String>`
`commandPrefixes`

## Constructor Summary

Constructors
Constructor
Description
`JDACommandConfig()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<String>`
`getCommandPrefixes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.CommandConfig

`provide`

## Field Details

### commandPrefixes

@NotNull protected @NotNull List<String> commandPrefixes

## Constructor Details

### JDACommandConfig

public JDACommandConfig()

## Method Details

### getCommandPrefixes

@NotNull public @NotNull List<String> getCommandPrefixes()

Specified by:
  `getCommandPrefixes` in interface `CommandConfig`